From 02405a74d2bdaa3ecd6510eb198e1bf98cb1b051 Mon Sep 17 00:00:00 2001
From: Andrey Lihatskiy <alihatskiy@productengine.com>
Date: Sat, 1 May 2021 02:05:06 +0300
Subject: [PATCH] DRTVWR-520 Post-merge build fix + error handling improvement

---
 indra/newview/installers/darwin/apple-notarize.sh | 7 +++++--
 indra/newview/viewer_manifest.py                  | 2 +-
 2 files changed, 6 insertions(+), 3 deletions(-)

diff --git a/indra/newview/installers/darwin/apple-notarize.sh b/indra/newview/installers/darwin/apple-notarize.sh
index 00d10b222ad..b953af81af3 100755
--- a/indra/newview/installers/darwin/apple-notarize.sh
+++ b/indra/newview/installers/darwin/apple-notarize.sh
@@ -30,12 +30,15 @@ if [ -f "$CONFIG_FILE" ]; then
                         --username $USERNAME \
                         --password $PASSWORD
 
+            #remove temporary file
+            rm "$zip_file"
+
             if [["$status" == "success"]]; then
                 xcrun stapler staple "$app_file"
+            elif [["$status" == "invalid"]]; then
+                exit 1
             fi
         fi
-        #remove temporary file
-        rm "$zip_file"
     fi
 fi
 
diff --git a/indra/newview/viewer_manifest.py b/indra/newview/viewer_manifest.py
index e031557b696..80f6b2aa9f8 100755
--- a/indra/newview/viewer_manifest.py
+++ b/indra/newview/viewer_manifest.py
@@ -1294,7 +1294,7 @@ def package_finish(self):
                     libvlc_path = app_in_dmg + "/Contents/Resources/llplugin/media_plugin_libvlc.dylib"
                     cef_path = app_in_dmg + "/Contents/Resources/llplugin/media_plugin_cef.dylib"
                     slplugin_path = app_in_dmg + "/Contents/Resources/SLPlugin.app/Contents/MacOS/SLPlugin"
-                    greenlet_path = app_in_dmg + "/Contents/Resources/updater/greenlet.so"
+                    greenlet_path = app_in_dmg + "/Contents/Resources/updater/greenlet/_greenlet.so"
                     while (not signed) and (sign_attempts > 0):
                         try:
                             sign_attempts-=1
-- 
GitLab